TSVCONN(3ts)

NAME
TSVConn - traffic Server APIs to get TSVConn from TSHttpSsn or TSHttpTxn object

SYNOPSIS

            #include <ts/ts.h>

    TSVConn TSHttpSsnClientVConnGet(TSHttpSsn ssnp)

    TSVConn TSHttpSsnServerVConnGet(TSHttpSsn ssnp)

    TSVConn TSHttpTxnServerVConnGet(TSHttpTxn txnp)

DESCRIPTION

These APIs allow the developer to get the NetVconnection (represented by TSVConn) from the Http session (TSHttpSsn) or transaction (TSHttpTxn) object.

TSHttpSsnClientVConnGet() returns the TSVConn associated with the client side TSHttpSsn object. TSHttpSsnServerVConnGet() returns the same associated with the server side TSHttpSsn. TSHttpTxnServerVConnGet() returns the same associated with a TSHttpTxn.

COPYRIGHT
2024, dev@trafficserver.apache.org